GNU bug report logs - #19345
24.4; Opening buffer-menu causes periodic auto-recentering in all windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sylvain Benner <sylvain.benner@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 19345 <at> debbugs.gnu.org and Sylvain Benner <sylvain.benner@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19345 <at> debbugs.gnu.org:


Received: (at 19345) by debbugs.gnu.org; 14 Oct 2019 07:29:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 03:29:10 2019
Received: from localhost ([127.0.0.1]:37879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJumz-0004nM-CQ
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:29:10 -0400
Received: from [80.91.231.51] (port=51836 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iJumx-0004nC-S3
 for 19345 <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:29:08 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iJums-0003Al-QD; Mon, 14 Oct 2019 09:29:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sylvain Benner <sylvain.benner@HIDDEN>
Subject: Re: bug#19345: 24.4; Opening buffer-menu causes periodic
 auto-recentering in all windows
References: <CAGb_FfZQ4uzfScqgTwcX6SAjiMCxfZmxy7UBk-vPMEy+x=jp7A@HIDDEN>
 <87d0hmju7d.fsf@HIDDEN>
Date: Mon, 14 Oct 2019 09:29:02 +0200
In-Reply-To: <87d0hmju7d.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sat, 03 Aug 2019 14:43:02 +0200")
Message-ID: <87wod7lr9d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'm not quite
 sure that I understand the phenomenon you're describing. > If, from `emacs
 -Q', you do a `C-x C-b', and then choose a buffer,
 then > Emacs will periodically
 recenter point in this buff [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'm not quite
 sure that I understand the phenomenon you're describing. > If, from `emacs
 -Q', you do a `C-x C-b', and then choose a buffer,
 then > Emacs will periodically
 recenter point in this buff [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 19345
Cc: 19345 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm not quite sure that I understand the phenomenon you're describing.
> If, from `emacs -Q', you do a `C-x C-b', and then choose a buffer, then
> Emacs will periodically recenter point in this buffer?
>
> I'm not able to reproduce this behaviour.

More information was requested some weeks back, but no response was
given, so I'm closing this bug report.  If you're still seeing this
problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19345; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19345 <at> debbugs.gnu.org:


Received: (at 19345) by debbugs.gnu.org; 3 Aug 2019 12:43:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 08:43:08 2019
Received: from localhost ([127.0.0.1]:58472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1httNM-0005Kg-2M
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 08:43:08 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1httNK-0005KV-2p
 for 19345 <at> debbugs.gnu.org; Sat, 03 Aug 2019 08:43:06 -0400
Received: from 77.18.62.220.tmi.telenormobil.no ([77.18.62.220] helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1httNG-0004RE-Ro; Sat, 03 Aug 2019 14:43:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sylvain Benner <sylvain.benner@HIDDEN>
Subject: Re: bug#19345: 24.4; Opening buffer-menu causes periodic
 auto-recentering in all windows
References: <CAGb_FfZQ4uzfScqgTwcX6SAjiMCxfZmxy7UBk-vPMEy+x=jp7A@HIDDEN>
Date: Sat, 03 Aug 2019 14:43:02 +0200
In-Reply-To: <CAGb_FfZQ4uzfScqgTwcX6SAjiMCxfZmxy7UBk-vPMEy+x=jp7A@HIDDEN>
 (Sylvain Benner's message of "Wed, 10 Dec 2014 23:36:54 -0500")
Message-ID: <87d0hmju7d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sylvain Benner <sylvain.benner@HIDDEN> writes: > Whenever
 I open a buffer-menu with C-x C-b then switch to a buffer I get > a periodic
 recentering of the point in all the buffers I visit. (I'm going through old
 bug reports that unfortunately have not received any responses yet.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19345
Cc: 19345 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sylvain Benner <sylvain.benner@HIDDEN> writes:

> Whenever I open a buffer-menu with C-x C-b then switch to a buffer I get
> a periodic recentering of the point in all the buffers I visit.

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

I'm not quite sure that I understand the phenomenon you're describing.
If, from `emacs -Q', you do a `C-x C-b', and then choose a buffer, then
Emacs will periodically recenter point in this buffer?

I'm not able to reproduce this behaviour.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19345; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Dec 2014 05:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 11 00:07:08 2014
Received: from localhost ([127.0.0.1]:42234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xyvxz-0004uD-EL
	for submit <at> debbugs.gnu.org; Thu, 11 Dec 2014 00:07:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42764)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvVE-00049H-Jf
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 23:37:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvV8-0004J3-08
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 23:37:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49825)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvV7-0004Iz-Tq
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 23:37:17 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44486)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvV7-0001QX-1G
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 23:37:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvV6-0004Id-24
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 23:37:16 -0500
Received: from mail-ie0-x236.google.com ([2607:f8b0:4001:c03::236]:61376)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sylvain.benner@HIDDEN>) id 1XyvV5-0004IV-SI
 for bug-gnu-emacs@HIDDEN; Wed, 10 Dec 2014 23:37:15 -0500
Received: by mail-ie0-f182.google.com with SMTP id x19so4188534ier.13
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Dec 2014 20:37:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=aYXSNCr8LZIzZHORIL0E3ngr3NZLM9aupSGYZe1dw1g=;
 b=rVxEnrYz+gcVmatfD6+2Vp3Kyg8GVLM416Co99ZRuElpS0tTgwnnasW3LSLVjjBcD8
 0jhlTPfmD9gH3qBiyeCwgi5jsYvbmoMuFBwqiQyBMNPPXFCTZ18EZm2S3NuZnmD0dkVx
 8X5/pLGYbG5Y6tJTAMGiab2cvuvrBFiAL39x8HiOevE9djYihTjzxVBbXw1Z8NVqVMCV
 mw8IDXAQhRtlJTDHgpRUYYk1NrJZqhhw34dhmone02KXegSYHL0zxwxRtyfTA/LaFVfu
 6YTsEf1t5vyYT1/wtbcBLMQZrXL9vEKjyrJ19T1EQzRUOAlfHEK2Vi1JQWWnasM2yz+B
 LQXw==
X-Received: by 10.107.15.73 with SMTP id x70mr7702364ioi.8.1418272634825; Wed,
 10 Dec 2014 20:37:14 -0800 (PST)
MIME-Version: 1.0
Received: by 10.107.9.138 with HTTP; Wed, 10 Dec 2014 20:36:54 -0800 (PST)
From: Sylvain Benner <sylvain.benner@HIDDEN>
Date: Wed, 10 Dec 2014 23:36:54 -0500
Message-ID: <CAGb_FfZQ4uzfScqgTwcX6SAjiMCxfZmxy7UBk-vPMEy+x=jp7A@HIDDEN>
Subject: 24.4;
 Opening buffer-menu causes periodic auto-recentering in all windows
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113e867897f4040509e95412
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Dec 2014 00:07:06 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113e867897f4040509e95412
Content-Type: text/plain; charset=UTF-8

Whenever I open a buffer-menu with C-x C-b then switch to a buffer I get
a periodic recentering of the point in all the buffers I visit.

I tracked the bug to find a work around and ended up redefining
`tabulated-list-revert`
function like this:

(defun tabulated-list-revert (&rest ignored)
  "The `revert-buffer-function' for `tabulated-list-mode'.
It runs `tabulated-list-revert-hook', then calls `tabulated-list-print'."
  (interactive)
  (unless (derived-mode-p 'tabulated-list-mode)
    (error "The current buffer is not in Tabulated List mode"))
  (run-hooks 'tabulated-list-revert-hook)
  ;; hack is here
  ;; (tabulated-list-print t)
  (tabulated-list-print))

syl20bnr

--001a113e867897f4040509e95412
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>Whenever I open a buffer-menu with C-x C-b then switch=
 to a buffer I get<br>a periodic recentering of the point in all the buffer=
s I visit.<br><br>I tracked the bug to find a work around and ended up rede=
fining<br>`tabulated-list-revert`<br>function like this:<br><br>(defun tabu=
lated-list-revert (&amp;rest ignored)<br>=C2=A0 &quot;The `revert-buffer-fu=
nction&#39; for `tabulated-list-mode&#39;.<br>It runs `tabulated-list-rever=
t-hook&#39;, then calls `tabulated-list-print&#39;.&quot;<br>=C2=A0 (intera=
ctive)<br>=C2=A0 (unless (derived-mode-p &#39;tabulated-list-mode)<br>=C2=
=A0 =C2=A0 (error &quot;The current buffer is not in Tabulated List mode&qu=
ot;))<br>=C2=A0 (run-hooks &#39;tabulated-list-revert-hook)<br>=C2=A0 ;; ha=
ck is here<br>=C2=A0 ;; (tabulated-list-print t)<br>=C2=A0 (tabulated-list-=
print))<br><br>syl20bnr<br></div>

--001a113e867897f4040509e95412--




Acknowledgement sent to Sylvain Benner <sylvain.benner@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19345; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Oct 2019 07:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.